/***************************************************************************
 *   Copyright (C) 2005 by Holger Gerth   *
 *   holg@auenland   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef CCOLOR4F_H
#define CCOLOR4F_H

/**
@author Holger Gerth
*/
class CColor4f{

    public:

        CColor4f();
        CColor4f(float red, float green, float blue);
        CColor4f(float red, float green, float blue, float alpha);
        ~CColor4f();

        void setAlpha(float theValue);
        float getAlpha() const;
        void setBlue(float theValue);
        float getBlue() const;
        void setGreen(float theValue);
        float getGreen() const;
        void setRed(float theValue);
        float getRed() const;

    private:

        float	fRed,fGreen,fBlue,fAlpha;

};

#endif
