/***************************************************************************
 *   Copyright (C) 2006 by Holger Gerth                                      *
 *   holger.gerth@informatik.tu-chemnitz.de                                                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "nbsForm.h"

using namespace std;

nbsForm::nbsForm()
    : QDialog() {

//     Form1 = new QDialog();
    textLabel1 = new QLabel();
    textLabel3_2 = new QLabel();
    textLabel3 = new QLabel();
    textLabel3_3 = new QLabel();
    textLabel2 = new QLabel();
    radioX = new QRadioButton();
    radioY = new QRadioButton();
    radioZ = new QRadioButton();
    radioALL = new QRadioButton();
    xCoord = new QLineEdit();
    yCoord = new QLineEdit();
    zCoord = new QLineEdit();
    ok = new QPushButton();
    cancel = new QPushButton();

//     Form1->setObjectName(QString::fromUtf8("Form1"));
//     Form1->resize(QSize(343, 316).expandedTo(Form1->minimumSizeHint()));
    this->setObjectName(QString::fromUtf8("Form1"));
    this->resize(QSize(343, 316).expandedTo(this->minimumSizeHint()));
    textLabel1 = new QLabel(this);
    textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
    textLabel1->setGeometry(QRect(10, 110, 330, 31));
    textLabel3_2 = new QLabel(this);
    textLabel3_2->setObjectName(QString::fromUtf8("textLabel3_2"));
    textLabel3_2->setGeometry(QRect(120, 70, 16, 21));
    textLabel3 = new QLabel(this);
    textLabel3->setObjectName(QString::fromUtf8("textLabel3"));
    textLabel3->setGeometry(QRect(10, 70, 16, 21));
    textLabel3_3 = new QLabel(this);
    textLabel3_3->setObjectName(QString::fromUtf8("textLabel3_3"));
    textLabel3_3->setGeometry(QRect(230, 70, 16, 21));
    textLabel2 = new QLabel(this);
    textLabel2->setObjectName(QString::fromUtf8("textLabel2"));
    textLabel2->setGeometry(QRect(10, 20, 320, 41));
    radioX = new QRadioButton(this);
    radioX->setObjectName(QString::fromUtf8("radioX"));
    radioX->setEnabled(true);
    radioX->setGeometry(QRect(20, 150, 301, 16));
    radioX->setAcceptDrops(false);
    radioY = new QRadioButton(this);
    radioY->setObjectName(QString::fromUtf8("radioY"));
    radioY->setGeometry(QRect(20, 170, 301, 20));
    radioZ = new QRadioButton(this);
    radioZ->setObjectName(QString::fromUtf8("radioZ"));
    radioZ->setGeometry(QRect(20, 190, 301, 16));
    radioALL = new QRadioButton(this);
    radioALL->setObjectName(QString::fromUtf8("radioALL"));
    radioALL->setGeometry(QRect(20, 210, 301, 16));
    xCoord = new QLineEdit(this);
    xCoord->setObjectName(QString::fromUtf8("xCoord"));
    xCoord->setGeometry(QRect(40, 70, 51, 20));
    xCoord->setMaxLength(4);
    xCoord->setCursorPosition(0);
    yCoord = new QLineEdit(this);
    yCoord->setObjectName(QString::fromUtf8("yCoord"));
    yCoord->setGeometry(QRect(150, 70, 51, 20));
    yCoord->setMaxLength(4);
    yCoord->setCursorPosition(0);
    zCoord = new QLineEdit(this);
    zCoord->setObjectName(QString::fromUtf8("zCoord"));
    zCoord->setGeometry(QRect(260, 70, 51, 20));
    zCoord->setMaxLength(4);
    zCoord->setCursorPosition(0);
    ok = new QPushButton(this);
    ok->setObjectName(QString::fromUtf8("ok"));
    ok->setGeometry(QRect(20, 250, 111, 51));
    cancel = new QPushButton(this);
    cancel->setObjectName(QString::fromUtf8("cancel"));
    cancel->setGeometry(QRect(160, 250, 121, 51));
//     retranslateUi(Form1);

//     Form1->setWindowTitle(QApplication::translate("Form1", "Neighbor Access", 0, QApplication::UnicodeUTF8));
    this->setWindowTitle(QApplication::translate("Form1", "Neighbor Access", 0, QApplication::UnicodeUTF8));
    textLabel1->setText(QApplication::translate("Form1", "Choos the axis where I should search for neighbors:", 0, QApplication::UnicodeUTF8));
    textLabel3_2->setText(QApplication::translate("Form1", "Y", 0, QApplication::UnicodeUTF8));
    textLabel3->setText(QApplication::translate("Form1", "X", 0, QApplication::UnicodeUTF8));
    textLabel3_3->setText(QApplication::translate("Form1", "Z", 0, QApplication::UnicodeUTF8));
    textLabel2->setText(QApplication::translate("Form1", "Please insert coordinates of the grid point:", 0, QApplication::UnicodeUTF8));
    radioX->setText(QApplication::translate("Form1", "X Ax&is", 0, QApplication::UnicodeUTF8));
    radioX->setShortcut(QApplication::translate("Form1", "Alt+I", 0, QApplication::UnicodeUTF8));
    radioY->setText(QApplication::translate("Form1", "&Y Axis", 0, QApplication::UnicodeUTF8));
    radioY->setShortcut(QApplication::translate("Form1", "Alt+Y", 0, QApplication::UnicodeUTF8));
    radioZ->setText(QApplication::translate("Form1", "&Z Axis", 0, QApplication::UnicodeUTF8));
    radioZ->setShortcut(QApplication::translate("Form1", "Alt+Z", 0, QApplication::UnicodeUTF8));
    radioALL->setText(QApplication::translate("Form1", "All Axi&s", 0, QApplication::UnicodeUTF8));
    radioALL->setShortcut(QApplication::translate("Form1", "Alt+S", 0, QApplication::UnicodeUTF8));
    ok->setText(QApplication::translate("Form1", "O&K", 0, QApplication::UnicodeUTF8));
    ok->setShortcut(QApplication::translate("Form1", "Alt+K", 0, QApplication::UnicodeUTF8));
    cancel->setText(QApplication::translate("Form1", "&Cancel", 0, QApplication::UnicodeUTF8));
    cancel->setShortcut(QApplication::translate("Form1", "Alt+C", 0, QApplication::UnicodeUTF8));
//     Q_UNUSED(Form1);

    connect(cancel, SIGNAL(clicked()), this, SLOT(close()));
    connect(ok, SIGNAL(clicked()), this, SLOT(getData()));

}

nbsForm::~nbsForm() {

//     delete Form1;
    delete textLabel1;
    delete textLabel3_2;
    delete textLabel3;
    delete textLabel3_3;
    delete textLabel2;
    delete radioX;
    delete radioY;
    delete radioZ;
    delete radioALL;
    delete xCoord;
    delete yCoord;
    delete zCoord;
    delete ok;
    delete cancel;

}

void nbsForm::draw() {
    this->show();
    this->exec();
}

void nbsForm::getData() {

    QString xString = this->xCoord->displayText();
    QString yString = this->yCoord->displayText();
    QString zString = this->zCoord->displayText();

    this->x = xString.toInt();
    this->y = yString.toInt();
    this->z = zString.toInt();

    if ( this->radioX->isChecked() ) this->axis = 1;
    else if ( this->radioY->isChecked() ) this->axis = 2;
    else if ( this->radioZ->isChecked() ) this->axis = 3;
    else this->axis = 0;

    cout << "x: " << this->x << " y: " << this->y << " z: " << this->z << " axis: " << this->axis << endl; 

    this->close();
}

