/***************************************************************************
 *   Copyright (C) 2006 by Holger Gerth                                    *
 *   holger.gerth@informatik.tu-chemnitz.de                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef FORM1_H
#define FORM1_H

#include "includes.h"

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QRadioButton>
#include <Qt3Support/Q3MimeSourceFactory>
//////////////////////////////////////////////////////////////////////////////////////////
//          Form for the neighbor search in the h-rle level set                         //
//////////////////////////////////////////////////////////////////////////////////////////

class nbsForm: public QDialog
{
    Q_OBJECT

public:

    int         x,y,z,axis;

//     QDialog *Form1;
    QLabel *textLabel1;
    QLabel *textLabel3_2;
    QLabel *textLabel3;
    QLabel *textLabel3_3;
    QLabel *textLabel2;
    QRadioButton *radioX;
    QRadioButton *radioY;
    QRadioButton *radioZ;
    QRadioButton *radioALL;
    QLineEdit *xCoord;
    QLineEdit *yCoord;
    QLineEdit *zCoord;
    QPushButton *ok;
    QPushButton *cancel;

    nbsForm();
    ~nbsForm();

    void draw();

private slots:
    void getData();


};
#endif // FORM1_H
