/***************************************************************************
 *   Copyright (C) 2006 by Holger Gerth                                      *
 *   holger.gerth@informatik.tu-chemnitz.de                                                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef POINT3D_H
#define POINT3D_H

/**
	@author Holger Gerth <holger.gerth@informatik.tu-chemnitz.de>
*/
class CPoint3D{
public:
    CPoint3D();
    CPoint3D( int x, int y, int z );
    ~CPoint3D();

//     inline CPoint3D operator = ( CPoint3D point ) {
//         CPoint3D tmp;
// 
//         tmp.setX( point.getX() );
//         tmp.setY( point.getY() );
//         tmp.setZ( point.getZ() );
// 
//         return tmp;
//     }

    // getter and setter
    void setX(const int& theValue);
    int getX() const;
    void setY(const int& theValue);
    int getY() const;
    void setZ(const int& theValue);
    int getZ() const;

private:
    int x,y,z;
};

#endif
