/***************************************************************************
 *   Copyright (C) 2004 by Holger Gerth                                    *
 *   holger.gerth@informatik.tu-chemnitz.de                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "mouse.h"

CMouse::CMouse()
{	// constructor
	dMoveX             = 0;	
	dMoveY             = 0;
	dRadius            = 10;
	dCurX              = 0;
	dCurY              = 0;
	dOldX              = 0;
	dOldY              = 0;
	LastState          = -1;
}


CMouse::~CMouse()
{	// destructor
}



int CMouse::getLastState() const
{
  return LastState;
}


void CMouse::setLastState(const int& theValue)
{
  LastState = theValue;
}


int CMouse::getCurX() const
{
  return dCurX;
}


void CMouse::setCurX(const int& theValue)
{
  dCurX = theValue;
}


int CMouse::getCurY() const
{
  return dCurY;
}


void CMouse::setCurY(const int& theValue)
{
  dCurY = theValue;
}


double CMouse::getMoveX() const
{
  return dMoveX;
}


void CMouse::setMoveX(double theValue)
{
  dMoveX = theValue;
}


double CMouse::getMoveY() const
{
  return dMoveY;
}


void CMouse::setMoveY(double theValue)
{
  dMoveY = theValue;
}


int CMouse::getOldX() const
{
  return dOldX;
}


void CMouse::setOldX(const int& theValue)
{
  dOldX = theValue;
}


int CMouse::getOldY() const
{
  return dOldY;
}


void CMouse::setOldY(const int& theValue)
{
  dOldY = theValue;
}


double CMouse::getRadius() const
{
  return dRadius;
}


void CMouse::setRadius(double theValue)
{
  dRadius = theValue;
}
